SDL_DisplayEvent Struct Reference

`#include <SDL_events.h>`

## Data Fields

Uint32 | type
Uint32 | timestamp
Uint32 | display
Uint8 | event
Uint8 | padding1
Uint8 | padding2
Uint8 | padding3
Sint32 | data1

## Detailed Description

Display state change event data (event.display.*)

Definition at line 193 of file SDL_events.h.

## Field Documentation

## data1

Sint32 SDL_DisplayEvent::data1

event dependent data

Definition at line 202 of file SDL_events.h.

## display

Uint32 SDL_DisplayEvent::display

The associated display index

Definition at line 197 of file SDL_events.h.

## event

Uint8 SDL_DisplayEvent::event

SDL_DisplayEventID

Definition at line 198 of file SDL_events.h.

## padding1

Uint8 SDL_DisplayEvent::padding1

Definition at line 199 of file SDL_events.h.

## padding2

Uint8 SDL_DisplayEvent::padding2

Definition at line 200 of file SDL_events.h.

## padding3

Uint8 SDL_DisplayEvent::padding3

Definition at line 201 of file SDL_events.h.

## timestamp

Uint32 SDL_DisplayEvent::timestamp

In milliseconds, populated using SDL_GetTicks()

Definition at line 196 of file SDL_events.h.

## type

Uint32 SDL_DisplayEvent::type

SDL_DISPLAYEVENT

Definition at line 195 of file SDL_events.h.

The documentation for this struct was generated from the following file:

- SDL_events.h